Name:		light-locker
Version:	1.7.0
Release:	%mkrel 3
Summary:	A simple session locker
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		https://github.com/the-cavalry/light-locker
Source0:	https://github.com/the-cavalry/light-locker/releases/download/v%{version}/%{name}-%{version}.tar.bz2
#BuildRequires:	xfce4-dev-tools >= 4.10.0-5
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xxf86misc)
BuildRequires:	pkgconfig(systemd)
Requires:	lightdm >= 1.7.0

%description
light-locker is a simple locker (forked from gnome-screensaver) that aims to
have simple, sane, secure defaults and be well integrated with the desktop
while not carrying any desktop-specific dependencies.

It relies on lightdm for locking and unlocking your session with
logind/systemd.

%prep
%setup -q
%autopatch -p1
# Autoconf doesn't like to rebuild, so keep it all in tact and just tweak configure
sed -i 's/libsystemd-login/libsystemd/' configure

%if 0
# for xdt-autogen (to make it happy)
mkdir -p m4
sed -i '1iAC_CONFIG_MACRO_DIR([m4])' configure.ac
sed -i '1iACLOCAL_AMFLAGS=-I m4' Makefile.am
%endif

%build
#xdt_autogen
%configure2_5x \
	--without-console-kit \
	--with-gtk2 \
	--with-systemd \
	--with-upower \
	--with-mit-ext \
	--with-dpms-ext \
	--enable-settings-backend=gsettings
%make

%install
%makeinstall_std

# fix .desktop file
desktop-file-edit \
	--remove-key=NotShownIn \
	--add-not-show-in=GNOME \
		%{buildroot}%{_sysconfdir}/xdg/autostart/light-locker.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/light-locker
%{_bindir}/light-locker-command
%{_sysconfdir}/xdg/autostart/light-locker.desktop
%{_mandir}/man1/light-locker*
%{_datadir}/glib-2.0/schemas/apps.light-locker.gschema.xml


%changelog
* Wed Jun 08 2016 colin <colin> 1.7.0-3.mga6
+ Revision: 1020824
- Fix systemd deps

  + tv <tv>
    - adjust BRs for latest systemd

* Mon Feb 15 2016 umeabot <umeabot> 1.7.0-2.mga6
+ Revision: 961266
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 wally <wally> 1.7.0-1.mga6
+ Revision: 895372
- new version 1.7.0

* Thu Feb 19 2015 wally <wally> 1.6.0-1.mga5
+ Revision: 815816
- new version 1.6.0

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 739882
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 681925
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 wally <wally> 1.5.0-1.mga5
+ Revision: 671081
- new version 1.5.0
- remove OnlyShowIn=XFCE from autostart .desktop file and use NotShowIn values set by upstream (after fixing typos made by them)

* Sun Mar 23 2014 wally <wally> 1.4.0-1.mga5
+ Revision: 607019
- new version 1.4.0

* Tue Mar 18 2014 wally <wally> 1.3.0-1.mga5
+ Revision: 604844
- new version 1.3.0

* Sun Mar 16 2014 wally <wally> 1.2.1-1.mga5
+ Revision: 604103
- new version 1.2.1

* Sat Feb 15 2014 wally <wally> 1.2.0-1.mga5
+ Revision: 592060
- new version 1.2.0

* Tue Feb 04 2014 wally <wally> 1.1.0-1.mga5
+ Revision: 581542
- new version 1.1.0
- disable new lock-after-screensaver feature for now

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 533397
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 wally <wally> 1.0.0-1.mga4
+ Revision: 472923
- new version 1.0.0

* Tue Jun 25 2013 wally <wally> 0.1.0-2.mga4
+ Revision: 446596
- fix url
- tighten lightdm dep

* Tue Jun 25 2013 wally <wally> 0.1.0-1.mga4
+ Revision: 446590
- imported package light-locker

